Package com.emc.d2fs.models.zipanddownloadinputobject

# Class ZipAndDownloadInputObject

java.lang.Object
com.emc.d2fs.models.zipanddownloadinputobject.ZipAndDownloadInputObject

All Implemented Interfaces:
  `Serializable`

public class ZipAndDownloadInputObject extends Object implements Serializable

Java class for zipAndDownloadInputObject complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="zipAndDownloadInputObject">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="fileFolderIds" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="rootFolderId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="includeSubFolders" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="c2Override" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="includeOnlyManifestFile" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="widgetName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="encryptionPassword" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipAndDownloadInputObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncryptionPassword()`
  Gets the value of the encryptionPassword property.
  `List<String>`
  `getFileFolderIds()`
  Gets the value of the fileFolderIds property.
  `String`
  `getRootFolderId()`
  Gets the value of the rootFolderId property.
  `String`
  `getWidgetName()`
  Gets the value of the widgetName property.
  `String`
  `getWidgetType()`
  Gets the value of the widgetType property.
  `boolean`
  `isC2Override()`
  Gets the value of the c2Override property.
  `boolean`
  `isIncludeOnlyManifestFile()`
  Gets the value of the includeOnlyManifestFile property.
  `boolean`
  `isIncludeSubFolders()`
  Gets the value of the includeSubFolders property.
  `void`
  `setC2Override(boolean value)`
  Sets the value of the c2Override property.
  `void`
  `setEncryptionPassword(String value)`
  Sets the value of the encryptionPassword property.
  `void`
  `setIncludeOnlyManifestFile(boolean value)`
  Sets the value of the includeOnlyManifestFile property.
  `void`
  `setIncludeSubFolders(boolean value)`
  Sets the value of the includeSubFolders property.
  `void`
  `setRootFolderId(String value)`
  Sets the value of the rootFolderId property.
  `void`
  `setWidgetName(String value)`
  Sets the value of the widgetName property.
  `void`
  `setWidgetType(String value)`
  Sets the value of the widgetType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipAndDownloadInputObject

    public ZipAndDownloadInputObject()

- ## Method Details

  - ### getFileFolderIds

    public List<String> getFileFolderIds()
    Gets the value of the fileFolderIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fileFolderIds property.

    For example, to add a new item, do as follows:

            getFileFolderIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getRootFolderId

    public String getRootFolderId()
    Gets the value of the rootFolderId property.
    Returns:
      possible object is `String`

  - ### setRootFolderId

    public void setRootFolderId(String value)
    Sets the value of the rootFolderId property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIncludeSubFolders

    public boolean isIncludeSubFolders()
    Gets the value of the includeSubFolders property.

  - ### setIncludeSubFolders

    public void setIncludeSubFolders(boolean value)
    Sets the value of the includeSubFolders property.

  - ### isC2Override

    public boolean isC2Override()
    Gets the value of the c2Override property.

  - ### setC2Override

    public void setC2Override(boolean value)
    Sets the value of the c2Override property.

  - ### isIncludeOnlyManifestFile

    public boolean isIncludeOnlyManifestFile()
    Gets the value of the includeOnlyManifestFile property.

  - ### setIncludeOnlyManifestFile

    public void setIncludeOnlyManifestFile(boolean value)
    Sets the value of the includeOnlyManifestFile property.

  - ### getWidgetName

    public String getWidgetName()
    Gets the value of the widgetName property.
    Returns:
      possible object is `String`

  - ### setWidgetName

    public void setWidgetName(String value)
    Sets the value of the widgetName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetType

    public String getWidgetType()
    Gets the value of the widgetType property.
    Returns:
      possible object is `String`

  - ### setWidgetType

    public void setWidgetType(String value)
    Sets the value of the widgetType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEncryptionPassword

    public String getEncryptionPassword()
    Gets the value of the encryptionPassword property.
    Returns:
      possible object is `String`

  - ### setEncryptionPassword

    public void setEncryptionPassword(String value)
    Sets the value of the encryptionPassword property.
    Parameters:
      `value` - allowed object is `String`